
QGIS Application - Bug report #7848

When adding layers from Arcgis wfs servers QGIS gives error is url contains 

"request=GetCapabilities&service=WFS"

2013-05-17 03:35 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16729

Description

New description:

When using Arcgis WFS servers, QGIS returns an error when adding a layer if the url contains "request=GetCapabilities&service=WFS",

example:

http://watersgeo.epa.gov/arcgis/services/OW/NHD_Med_Detailed_NAD83/MapServer/WFSServer?request=GetCapabilities&#38;servi

e=WFS

error is like

The layer

http://watersgeo.epa.gov/arcgis/services/OW/NHD_Med_Detailed_NAD83/MapServer/WFSServer?request=GetCapabilities&service=WFS&SERVIC

FS&SERVICE=WFS&VERSION=1.0.0&REQUEST=GetFeature&TYPENAME=OW_NHD_Med_Detailed_NAD83:Flowlines&SRSNAME=EPSG:3785 is not a valid layer and can not be added to the map

=EPSG:3785 is not a valid layer and can not be added to the map

Does not happen in QGIS 1.8

Old Description:

When adding a layer from this

http://81.84.243.210/arcgis/services/Registo_GNR_wfs/MapServer/WFSServer?

the layer is added but is completely empty. In QGIS 1.8 it is fine.

Moreover if the URL is written as

http://81.84.243.210/arcgis/services/Registo_GNR_wfs/MapServer/WFSServer?request=GetCapabilities&#38;service=WFS

then adding the layer qgis will return

The layer 

http://81.84.243.210/arcgis/services/Registo_GNR_wfs/MapServer/WFSServer?request=GetCapabilities&#38;service=WFS&#38;SER

ICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=Registo_GNR_wfs:Ocorrências_Criminais&#38;SRSNAME=EPSG:4326

AME=EPSG:4326

is not a valid layer and can not be added to the map
and again in qgis 1.8 it didn't return such a message and worked ok.

Associated revisions

Revision 3cb3a7a5 - 2013-07-15 03:44 PM - Jürgen Fischer

also remove superfluous query items from WFS and WCS connections (as in WMS;

fixes #7848)

Revision e27e8433 - 2013-07-16 11:09 PM - Jürgen Fischer

wfs provider: fix support for non-ascii wfs layer names (fix #7848)

History

#1 - 2013-06-29 03:05 PM - Salvatore Larosa

I always get:

Error downloading

http://81.84.243.210/arcgis/services/Registo_GNR_wfs/MapServer/WFSServer?SERVICE=WFS&REQUEST=GetCapabilities&VERSION=1.0.0

- server replied: Bad Request

both master and 1.8

#2 - 2013-06-30 01:51 AM - Jürgen Fischer

- Subject changed from wfs server that does not work anynmore with qgis master wfs client to wfs server that does not work anymore with qgis master 

wfs client

#3 - 2013-06-30 07:50 AM - Jürgen Fischer

- Status changed from Open to Feedback

Salvatore Larosa wrote:

I always get:

[...]

both master and 1.8

seems like a server problem to me, too.

#4 - 2013-06-30 07:51 AM - Giovanni Manghi

Jürgen Fischer wrote:

Salvatore Larosa wrote:
I always get:

[...]

both master and 1.8

seems like a server problem to me, too.

isn't a server I manage, but I can ask to put it on-line again, so you will be able to see the issue.

cheers!

#5 - 2013-07-14 01:15 AM - Salvatore Larosa

Did you manage to put on-line again the service ?

It doesn't work for me yet

#6 - 2013-07-14 01:27 AM - Giovanni Manghi

Salvatore Larosa wrote:

Did you manage to put on-line again the service ?

It doesn't work for me yet

The manager of that server didn't answered me yet. But I would suggest not to close this ticket (yet). This is not an isolated case, it is about wfs services

published with arcgis software, so it would be better at least to test other examples. I will try a few other ones.

#7 - 2013-07-14 12:22 PM - Salvatore Larosa

I found and tried this example [0] of WFS created by ArcGIS and 

I get what you said to the first comment. 

so now I can confirm it. on 1.8 I get an empty layer too.

[0] - http://gisdemo2.agro.nl/arcgis/services/editdemo/MapServer/WFSServer?request=GetCapabilities&#38;service=WFS

#8 - 2013-07-14 12:32 PM - Giovanni Manghi

so now I can confirm it. on 1.8 I get an empty layer too.

ummm... the url I originally added to the description was working fine on 1.8 and not working on master.

#9 - 2013-07-14 12:39 PM - Jürgen Fischer

Salvatore Larosa wrote:
[0] - http://gisdemo2.agro.nl/arcgis/services/editdemo/MapServer/WFSServer?request=GetCapabilities&#38;service=WFS

The operation urls point to an internal(?) server dmzgcc0003v.

#10 - 2013-07-14 12:56 PM - Salvatore Larosa

Jürgen Fischer wrote:

The operation urls point to an internal(?) server dmzgcc0003v.

on ArcGIS it works fine, I expect it should also work in QGIS.

(but I am aware that this affirmation is not always true)

#11 - 2013-07-14 01:05 PM - Even Rouault

I'm a bit skeptical that this server ( http://gisdemo2.agro.nl/arcgis/services/editdemo/MapServer/WFSServer?request=GetCapabilities&#38;service=WFS

) works with any client. Issuing a WFS GetFeature request at hands returns 0 bytes...

$ LC_ALL=C wget

"http://gisdemo2.agro.nl/arcgis/services/editdemo/MapServer/WFSServer?SERVICE=WFS&VERSION=1.1.0&REQUEST=GetFeature&TYPENAME=editdemo:PCR_

ME=editdemo:PCR_PERCELEN_RD" -O -

--2013-07-14 22:04:50-- 

http://gisdemo2.agro.nl/arcgis/services/editdemo/MapServer/WFSServer?SERVICE=WFS&VERSION=1.1.0&REQUEST=GetFeature&TYPENAME=editdemo:PCR_PERCELEN_RD
Resolving gisdemo2.agro.nl... 145.12.127.3
Connecting to gisdemo2.agro.nl|145.12.127.3|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 0 [text/x

E=editdemo:PCR_PERCELEN_RD

Resolving gisdemo2.agro.nl... 145.12.127.3

Connecting to gisdemo2.agro.nl|145.12.127.3|:80... connected.

HTTP request sent, awaiting response... 200 OK

Length: 0 [text/xml]

Saving to: `STDOUT'

    [ <=>                                                                                                                                    ] 0           --.-K/s   in 0s      

2013-07-14 22:04:52 (0.00 B/s) - written to stdout [0/0]

#12 - 2013-07-14 01:22 PM - Salvatore Larosa

Found another arcgis service [0] and works fine on QGIS too.

[0] - http://ndgishub.nd.gov/arcgis/services/Features/Geology/MapServer/WFSServer?

but adding request=GetCapabilities&service=WFS parameters I get the message "The layer .... is not a valid layer"

at this point I am not really sure if this is an blocker issue!

#13 - 2013-07-14 01:27 PM - Salvatore Larosa
rouault - wrote:

I'm a bit skeptical that this server ( 

http://gisdemo2.agro.nl/arcgis/services/editdemo/MapServer/WFSServer?request=GetCapabilities&#38;service=WFS ) works with any client.

Issuing a WFS GetFeature request at hands returns 0 bytes...

[...]

I don't know, but I can see the layers using ArcGIS [0].

[0] - http://lrssvt.ns0.it/img/WFS_ARCGIS.png

#14 - 2013-07-15 04:35 AM - Giovanni Manghi

- Subject changed from wfs server that does not work anymore with qgis master wfs client to When adding layers from Arcgis wfs servers QGIS gives 

error is url contains "request=GetCapabilities&service=WFS"

but adding request=GetCapabilities&service=WFS parameters I get the message "The layer .... is not a valid layer" 

http://ndgishub.nd.gov/arcgis/services/Features/Geology/MapServer/WFSServer?

While this is certainly a regression since 1.8 (such urls work also with "request=GetCapabilities&service=WFS"), I agree that at this point this should not be

anymore a blocker, as without the server cited in the ticket description I cannot confirm the original issue.

Feel free to downgrade this ticket.

#15 - 2013-07-15 06:44 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"3cb3a7a59ab80e96fef5f13f52226db1f1ad2d98".

#16 - 2013-07-15 12:03 PM - Giovanni Manghi

- Resolution set to fixed

seems like a server problem to me, too.

http://81.84.243.210/arcgis/services/REGISTO/Registo_GNR/MapServer/WFSServer?

it is up again, and so I can confirm the original issue -> the layers are ok on QGIS 1.8 and are downloaded empty in master.

Can anyone confirm? should I file a new ticket?

#17 - 2013-07-16 01:00 AM - Salvatore Larosa

Confirmed here, empty layer on master, ok on 1.8.
#18 - 2013-07-16 02:11 PM - Jürgen Fischer

Giovanni Manghi wrote:

Can anyone confirm? should I file a new ticket?

fixed in commit:e27e843

#19 - 2013-07-16 02:44 PM - Salvatore Larosa

Thanks!
